"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.githubBlobSchema = exports.githubBranchSchema = exports.githubRepositorySchema = exports.githubOrganizationSchema = exports.githubUserSchema = exports.simulation = void 0;
const foundation_simulator_1 = require("@simulacrum/foundation-simulator");
const index_1 = require("./store/index");
const extend_api_1 = require("./extend-api");
const index_2 = require("./rest/index");
const entities_1 = require("./store/entities");
const simulation = (args = {}) => {
    var _a, _b;
    const parsedInitialState = !(args === null || args === void 0 ? void 0 : args.initialState)
        ? undefined
        : entities_1.gitubInitialStoreSchema.parse(args === null || args === void 0 ? void 0 : args.initialState);
    return (0, foundation_simulator_1.createFoundationSimulationServer)({
        port: 3300, // default port
        extendStore: (0, index_1.extendStore)(parsedInitialState, (_a = args === null || args === void 0 ? void 0 : args.extend) === null || _a === void 0 ? void 0 : _a.extendStore),
        extendRouter: extend_api_1.extendRouter,
        openapi: (0, index_2.openapi)(parsedInitialState, (_b = args === null || args === void 0 ? void 0 : args.extend) === null || _b === void 0 ? void 0 : _b.openapiHandlers),
    })();
};
exports.simulation = simulation;
var entities_2 = require("./store/entities");
Object.defineProperty(exports, "githubUserSchema", { enumerable: true, get: function () { return entities_2.githubUserSchema; } });
Object.defineProperty(exports, "githubOrganizationSchema", { enumerable: true, get: function () { return entities_2.githubOrganizationSchema; } });
Object.defineProperty(exports, "githubRepositorySchema", { enumerable: true, get: function () { return entities_2.githubRepositorySchema; } });
Object.defineProperty(exports, "githubBranchSchema", { enumerable: true, get: function () { return entities_2.githubBranchSchema; } });
Object.defineProperty(exports, "githubBlobSchema", { enumerable: true, get: function () { return entities_2.githubBlobSchema; } });
//# sourceMappingURL=index.js.map